osl::container::MoveLogProbVector Class Reference

`#include <moveLogProbVector.h>`

Inheritance diagram for osl::container::MoveLogProbVector:

## Public Member Functions

| MoveLogProbVector ()
| MoveLogProbVector (size_t size)
| MoveLogProbVector (const MoveLogProbVector &src)
template<class RangeIterator>
| MoveLogProbVector (const RangeIterator &first, const RangeIterator &last)
void | push_back (Move move, int prob)
void | push_back (const MoveLogProb &move)
template<class RangeIterator>
void | push_back (const RangeIterator &first, const RangeIterator &last)
void | sortByProbability ()
| 確率が高い順にsort
void | sortByProbabilityReverse ()
| 確率が低い順にsort
const MoveLogProb * | find (Move) const
Public Member Functions inherited from osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >
| FixedCapacityVector ()
| FixedCapacityVector (size_t size)
| FixedCapacityVector (FixedCapacityVector const &rhs)
| FixedCapacityVector (const RangeIterator &first, const RangeIterator &last)
| ~FixedCapacityVector ()
FixedCapacityVector & | operator= (FixedCapacityVector const &rhs)
MoveLogProb & | operator[] (size_t i)
iterator | begin ()
iterator | end ()
MoveLogProb & | front ()
MoveLogProb & | back ()
void | push_back (const MoveLogProb &e)
void | push_back (const RangeIterator &first, const RangeIterator &last)
void | pop_back ()
void | clear ()
void | resize (size_t new_length)
void | erase (const MoveLogProb &e)
void | unique ()
| 重複する要素を取り除く
size_t | size () const
bool | empty () const
size_t | capacity () const
MoveLogProb const & | operator[] (size_t i) const
const_iterator | begin () const
const_iterator | end () const
const MoveLogProb & | front () const
const MoveLogProb & | back () const
bool | isMember (const MoveLogProb &e, const_iterator first, const_iterator last) const
bool | isMember (const MoveLogProb &e) const
detail::FixedCapacityVectorPushBack< MoveLogProb > | pushBackHelper ()

## Private Types

typedef MoveLogProbVectorBase | base_t

## Additional Inherited Members

Public Types inherited from osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >
typedef array_t::value_type | value_type
typedef array_t::iterator | iterator
typedef array_t::const_iterator | const_iterator
Protected Types inherited from osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >
typedef Array | array_t
Protected Attributes inherited from osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >
MoveLogProb * | ptr
CArray< int64_t,(sizeof(MoveLogProb[Capacity])+sizeof(int64_t) -1)/sizeof(int64_t)> | relements

## Detailed Description

Definition at line 13 of file moveLogProbVector.h.

## Member Typedef Documentation

## base_t

typedef MoveLogProbVectorBase osl::container::MoveLogProbVector::base_t

private

Definition at line 15 of file moveLogProbVector.h.

## Constructor & Destructor Documentation

## MoveLogProbVector() [1/4]

osl::container::MoveLogProbVector::MoveLogProbVector | ( |  | ) |

inline

Definition at line 17 of file moveLogProbVector.h.

Referenced by MoveLogProbVector().

## MoveLogProbVector() [2/4]

osl::container::MoveLogProbVector::MoveLogProbVector | ( | size_t | size | ) |

inline explicit

Definition at line 18 of file moveLogProbVector.h.

References osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::size().

## MoveLogProbVector() [3/4]

osl::container::MoveLogProbVector::MoveLogProbVector | ( | const MoveLogProbVector & | src | ) |

inline

Definition at line 21 of file moveLogProbVector.h.

References MoveLogProbVector().

## MoveLogProbVector() [4/4]

template<class RangeIterator>

osl::container::MoveLogProbVector::MoveLogProbVector | ( | const RangeIterator & | first,
|  | const RangeIterator & | last )

inline

Definition at line 25 of file moveLogProbVector.h.

## Member Function Documentation

## find()

const osl::MoveLogProb * osl::container::MoveLogProbVector::find | ( | Move | m | ) | const

Definition at line 57 of file moveLogProbVector.cc.

References osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::begin(), and osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::end().

## push_back() [1/3]

void osl::container::MoveLogProbVector::push_back | ( | const MoveLogProb & | move | ) |

inline

Definition at line 32 of file moveLogProbVector.h.

References osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::push_back().

## push_back() [2/3]

template<class RangeIterator>

void osl::container::MoveLogProbVector::push_back | ( | const RangeIterator & | first,
|  | const RangeIterator & | last )

inline

Definition at line 36 of file moveLogProbVector.h.

References osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::push_back().

## push_back() [3/3]

void osl::container::MoveLogProbVector::push_back | ( | Move | move,
|  | int | prob )

inline

Definition at line 29 of file moveLogProbVector.h.

References osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::push_back().

Referenced by osl::rating::FeatureSet::generateLogProb(), osl::move_probability::StandardFeatureSet::generateLogProb2(), and osl::move_probability::FeatureSet::ratingToLogProb().

## sortByProbability()

void osl::container::MoveLogProbVector::sortByProbability | ( |  | ) |

確率が高い順にsort

Definition at line 48 of file moveLogProbVector.cc.

References osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::begin(), and osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::end().

Referenced by osl::move_probability::FeatureSet::ratingToLogProb().

## sortByProbabilityReverse()

void osl::container::MoveLogProbVector::sortByProbabilityReverse | ( |  | ) |

確率が低い順にsort

Definition at line 52 of file moveLogProbVector.cc.

References osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::begin(), and osl::FixedCapacityVector< MoveLogProb, Move::MaxUniqMoves >::end().

The documentation for this class was generated from the following files:

- moveLogProbVector.h
- moveLogProbVector.cc